package com.backendsys.service.Ai.Aizn;

import com.backendsys.entity.Ai.Aizn.AiznImageTaskVO;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface AiznImageTaskService {
    // [紫鸟] 查询任务进度 (通用) (progress_type: 3-智能抠图, 9-AI换模特, 11-商品合成, 12-商品合成 )
    Map<String, Object> getProgressOfTask(String id, Integer progress_type) throws IOException;
    List<Map<String, Object>> getProgressOfTaskArray(String ids, Integer progress_type) throws IOException;
    // 获得任务列表
    Map<String, Object> getImageTaskList(Integer pageNum, Integer pageSize, AiznImageTaskVO aiznImageTaskVO);
    // 获得任务详情
    Map<String, Object> getImageTaskDetail(AiznImageTaskVO aiznImageTaskVO);
}
